## tdenetwork-trinity 14.2.0~pre163

=== debian/changelog ===
tdenetwork-trinity (4:14.2.0~pre163-0debian13.0.0+10) trixie; urgency=low

  * Automated git build for 0f81e597be03f372b7c99952994a86d9a9d886ad
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdenetwork

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 28 Dec 2025 03:02:55 +0100

=== debian/control ===
Source: tdenetwork-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Modestas Vainius <geromanas@mailas.com>, Sarah Hobbs <hobbsee@ubuntu.com>, Sune Vuorela <debian@pusling.com>
Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, docbook-to-man, doxygen, tdelibs14-trinity-dev, libgnutls-dev | libgadu-dev (>> 1:1.12.0-3), libgcrypt-dev, libgadu-dev, libiw-dev (>> 27+28pre8), libmeanwhile-dev (>= 1.0.2), libslp-dev, libspeex-dev, libsqlite3-dev, libxml2-dev, libxslt1-dev, libxtst-dev, valgrind [!armel !mips !mipsel !riscv64 !loong64], libxxf86vm-dev, libv4l-dev, libssl-dev, libtqca-dev
Standards-Version: 3.8.4

Package: tdenetwork-trinity
Section: tde
Architecture: all
Replaces: kdenetwork-trinity (<< 4:14.0.0~)
Breaks: kdenetwork-trinity (<< 4:14.0.0~)
Depends: dcoprss-trinity (>= ${source:Version}), tdenetwork-tdefile-plugins-trinity (>= ${source:Version}), kdict-trinity (>= ${source:Version}), tdednssd-trinity (>= ${source:Version}), kget-trinity (>= ${source:Version}), knewsticker-trinity (>= ${source:Version}), kopete-trinity (>= ${source:Version}), kpf-trinity (>= ${source:Version}), kppp-trinity (>= ${source:Version}), krdc-trinity (>= ${source:Version}), krfb-trinity (>= ${source:Version}), ksirc-trinity (>= ${source:Version}), kwifimanager-trinity (>= ${source:Version}), librss1-trinity (>= ${source:Version})
Recommends: tdenetwork-filesharing-trinity (>= ${source:Version}), ktalkd-trinity (>= ${source:Version}), lisa-trinity (>= ${source:Version})
Suggests: tdenetwork-trinity-doc-html (>= ${source:Version})
Description: network-related apps from the official Trinity release
 TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes a collection of network and networking related
 applications provided with the official release of Trinity.

Package: dcoprss-trinity
Section: net
Architecture: any
Replaces: dcoprss-trinity (<< 4:14.0.0~)
Breaks: dcoprss-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: RSS utilities for Trinity
 tdenetwork-dcoprss is a RSS to DCOP bridge, allowing all
 DCOP aware applications to access RSS news feeds. There is also
 a few sample utilities provided.
 .
 RSS is a standard for publishing news headlines.
 DCOP is the TDE interprocess communication protocol.
 .
 This package is part of Trinity, as a component of the TDE network module.
 See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.

Package: tdenetwork-trinity-doc-html
Architecture: all
Section: doc
Replaces: kdenetwork-trinity-doc-html (<< 4:14.0.0~)
Breaks: kdenetwork-trinity-doc-html (<< 4:14.0.0~)
Suggests: konqueror-trinity | www-browser, tdebase-trinity
Description: Trinity network documentation in HTML format
 By default the modules provided by TDE only provide their documentation
 in TDE docbook format, which can only be read by Konqueror or KHelpCenter.
 This package provides all of the TDE network documentation converted to
 HTML format so it can be read with any web browser.
 .
 The documentation will be installed into the usual directories
 /opt/trinity/share/doc/tde/HTML/<language>/<app>/, for instance
 /opt/trinity/share/doc/tde/HTML/en/kdict/. Documentation is provided for most
 TDE network packages.
 .
 This package is part of TDE, and a component of the TDE network module.
 See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.

Package: tdenetwork-tdefile-plugins-trinity
Section: tde
Architecture: any
Replaces: kdenetwork-kfile-plugins-trinity (<< 4:14.0.0~)
Breaks: kdenetwork-kfile-plugins-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Enhances: konqueror-trinity
Description: torrent metainfo plugin for Trinity
 This package provides a metainformation plugin for bittorrent files.
 .
 Kde uses tdefile-plugins to provide metainfo tab in the files properties
 dialog in konqueror and other file-handling applications.
 .
 This package is part of Trinity, as a component of the TDE network module.
 See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.

Package: tdenetwork-filesharing-trinity
Section: net
Architecture: any
Replaces: kdenetwork-filesharing-trinity (<< 4:14.0.0~)
Breaks: kdenetwork-filesharing-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Recommends: perl-suid
Description: network filesharing configuration module for Trinity
 This package provides a Trinity Control Center module to configure
 NFS and Samba.
 .
 This package is part of Trinity, as a component of the TDE network module.
 See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.

Package: kdict-trinity
Section: net
Architecture: any
Replaces: kdict-trinity (<< 4:14.0.0~)
Breaks: kdict-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Provides: dict-client-trinity
Description: dictionary client for Trinity
 KDict is an advanced TDE graphical client for the DICT Protocol, with full
 Unicode support. It enables you to search through dictionary databases for a
 word or phrase, then displays suitable definitions. KDict tries to ease
 basic as well as advanced queries.
 .
 This package is part of Trinity, as a component of the TDE network module.
 See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.

Package: kget-trinity
Section: net
Architecture: any
Replaces: kget-trinity (<< 4:14.0.0~)
Breaks: kget-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: download manager for Trinity
 KGet is a a download manager similar to GetRight or Go!zilla. It keeps
 all your downloads in one dialog and you can add and remove transfers.
 Transfers can be paused, resumed, queued or scheduled.
 Dialogs display info about status of transfers - progress, size, speed
 and remaining time. Program supports drag & drop from TDE
 applications and Netscape.
 .
 This package is part of Trinity, as a component of the TDE network module.
 See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.

Package: knewsticker-trinity
Section: tde
Architecture: any
Replaces: knewsticker-trinity (<< 4:14.0.0~)
Breaks: knewsticker-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, kicker-trinity
Suggests: khelpcenter-trinity, knewsticker-scripts-trinity
Description: news ticker applet for Trinity
 This is a news ticker applet for the Trinity panel. It can scroll news from
 your favorite news sites, such as lwn.net, /. and freshmeat.net.
 To achieve this, KNewsTicker requires the news sites to provide a
 RSS feed to newsitems. KNewsTicker already comes with a selection of
 good news sources which provide such files.
 .
 This package is part of Trinity, as a component of the TDE network module.
 See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.

Package: kopete-trinity
Section: tde
Architecture: any
Replaces: kopete-trinity (<< 4:14.0.0~)
Breaks: kopete-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Recommends: tqca-tls
Suggests: tdeartwork-emoticons-trinity, khelpcenter-trinity, imagemagick, gnupg, gnomemeeting
Description: instant messenger for Trinity
 Kopete is an instant messenger program which can communicate with a variety
 of IM systems, such as Yahoo, ICQ, MSN, IRC and Jabber.
 .
 Kopete includes the "Now Listening" plug-in that can report what music you
 are currently listening to, in a number of different players, including
 noatun, kscd, juk, kaffeine and amarok.
 .
 Support for more IM protocols can be added through a plugin system.
 .
 This package is part of Trinity, as a component of the TDE network module.
 See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.
 .
 Homepage: http://kopete.kde.org

Package: kpf-trinity
Section: net
Architecture: any
Replaces: kpf-trinity (<< 4:14.0.0~)
Breaks: kpf-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: public fileserver for Trinity
 kpf provides simple file sharing using HTTP. kpf is strictly a public
 fileserver, which means that there are no access restrictions to shared
 files. Whatever you select for sharing is available to anyone. kpf is
 designed to be used for sharing files with friends.
 .
 This package is part of Trinity, as a component of the TDE network module.
 See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.

Package: kppp-trinity
Section: net
Architecture: any
Replaces: kppp-trinity (<< 4:14.0.0~)
Breaks: kppp-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, ppp
Suggests: khelpcenter-trinity
Description: modem dialer and ppp frontend for Trinity
 KPPP is a dialer and front end for pppd. It allows for interactive
 script generation and network setup. It will automate the dialing in
 process to your ISP while letting you conveniently monitor the entire
 process.
 .
 Once connected KPPP will provide a rich set of statistics and keep
 track of the time spent online for you.
 .
 This package is part of Trinity, as a component of the TDE network module.
 See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.

Package: krdc-trinity
Section: net
Architecture: any
Replaces: krdc-trinity (<< 4:14.0.0~)
Breaks: krdc-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Recommends: rdesktop, libjpeg-turbo62
Description: Remote Desktop Connection for Trinity
 krdc is an TDE graphical client for the rfb protocol, used by VNC,
 and if rdesktop is installed, krdc can connect to Windows Terminal
 Servers using RDP.
 .
 This package is part of Trinity, as a component of the TDE network module.
 See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.

Package: krfb-trinity
Section: net
Architecture: any
Replaces: krfb-trinity (<< 4:14.0.0~)
Breaks: krfb-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Recommends: libjpeg-turbo62
Description: Desktop Sharing for Trinity
 Desktop Sharing (krfb) is a server application that allows you to share
 your current session with a user on another machine, who can use a
 VNC client like krdc to view or even control the desktop. It doesn't
 require you to start a new X session - it can share the current session.
 This makes it very useful when you want someone to help you perform a
 task.
 .
 This package is part of Trinity, as a component of the TDE network module.
 See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.

Package: ksirc-trinity
Section: net
Architecture: any
Replaces: ksirc-trinity (<< 4:14.0.0~)
Breaks: ksirc-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, ${perl:Depends}
Recommends: libio-socket-ssl-perl
Suggests: khelpcenter-trinity
Description: IRC client for Trinity
 KSirc is an IRC chat client for TDE. It supports scripting with Perl and has a
 lot of compatibility with mIRC for general use.
 .
 If you want to connect to an IRC server via SSL, you will need to install the
 recommended package libio-socket-ssl-perl.
 .
 This package is part of Trinity, as a component of the TDE network module.
 See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.

Package: ktalkd-trinity
Section: net
Priority: extra
Replaces: ktalkd-trinity (<< 4:14.0.0~)
Breaks: ktalkd-trinity (<< 4:14.0.0~)
Architecture: any
Depends: ${shlibs:Depends}, netbase, update-inetd
Recommends: talk, ytalk
Suggests: khelpcenter-trinity
Provides: talkd-trinity
Description: talk daemon for Trinity
 KTalkd is an enhanced talk daemon - a program to handle incoming talk

## tdenetwork-trinity 14.2.0~pre165

=== debian/changelog ===
tdenetwork-trinity (4:14.2.0~pre165-0ubuntu25.04.0+10) plucky; urgency=low

  * Automated git build for b472ccd45d6038f9e716a381816e2e072a90de78
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdenetwork

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 06 Jan 2026 12:11:31 +0100

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
 Package: tdenetwork-trinity
 Section: tde
 Architecture: all
-Replaces: kdenetwork-trinity (<< 4:14.0.0~)
-Breaks: kdenetwork-trinity (<< 4:14.0.0~)
+Replaces: kdenetwork-kde3 (<< 4:14.0.0~), kdenetwork-trinity (<< 4:14.0.0~)
+Breaks: kdenetwork-kde3 (<< 4:14.0.0~), kdenetwork-trinity (<< 4:14.0.0~)
 Depends: dcoprss-trinity (>= ${source:Version}), tdenetwork-tdefile-plugins-trinity (>= ${source:Version}), kdict-trinity (>= ${source:Version}), tdednssd-trinity (>= ${source:Version}), kget-trinity (>= ${source:Version}), knewsticker-trinity (>= ${source:Version}), kopete-trinity (>= ${source:Version}), kpf-trinity (>= ${source:Version}), kppp-trinity (>= ${source:Version}), krdc-trinity (>= ${source:Version}), krfb-trinity (>= ${source:Version}), ksirc-trinity (>= ${source:Version}), kwifimanager-trinity (>= ${source:Version}), librss1-trinity (>= ${source:Version})
 Recommends: tdenetwork-filesharing-trinity (>= ${source:Version}), ktalkd-trinity (>= ${source:Version}), lisa-trinity (>= ${source:Version})
 Suggests: tdenetwork-trinity-doc-html (>= ${source:Version})
@@ -27,8 +27,8 @@
 Package: dcoprss-trinity
 Section: net
 Architecture: any
-Replaces: dcoprss-trinity (<< 4:14.0.0~)
-Breaks: dcoprss-trinity (<< 4:14.0.0~)
+Replaces: dcoprss-kde3 (<< 4:14.0.0~), dcoprss-trinity (<< 4:14.0.0~)
+Breaks: dcoprss-kde3 (<< 4:14.0.0~), dcoprss-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Description: RSS utilities for Trinity
  tdenetwork-dcoprss is a RSS to DCOP bridge, allowing all
@@ -44,8 +44,8 @@
 Package: tdenetwork-trinity-doc-html
 Architecture: all
 Section: doc
-Replaces: kdenetwork-trinity-doc-html (<< 4:14.0.0~)
-Breaks: kdenetwork-trinity-doc-html (<< 4:14.0.0~)
+Replaces: kdenetwork-kde3-doc-html (<< 4:14.0.0~), kdenetwork-trinity-doc-html (<< 4:14.0.0~)
+Breaks: kdenetwork-kde3-doc-html (<< 4:14.0.0~), kdenetwork-trinity-doc-html (<< 4:14.0.0~)
 Suggests: konqueror-trinity | www-browser, tdebase-trinity
 Description: Trinity network documentation in HTML format
  By default the modules provided by TDE only provide their documentation
@@ -64,8 +64,8 @@
 Package: tdenetwork-tdefile-plugins-trinity
 Section: tde
 Architecture: any
-Replaces: kdenetwork-kfile-plugins-trinity (<< 4:14.0.0~)
-Breaks: kdenetwork-kfile-plugins-trinity (<< 4:14.0.0~)
+Replaces: kdenetwork-kfile-plugins-kde3 (<< 4:14.0.0~), kdenetwork-kfile-plugins-trinity (<< 4:14.0.0~)
+Breaks: kdenetwork-kfile-plugins-kde3 (<< 4:14.0.0~), kdenetwork-kfile-plugins-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Enhances: konqueror-trinity
 Description: torrent metainfo plugin for Trinity
@@ -80,8 +80,8 @@
 Package: tdenetwork-filesharing-trinity
 Section: net
 Architecture: any
-Replaces: kdenetwork-filesharing-trinity (<< 4:14.0.0~)
-Breaks: kdenetwork-filesharing-trinity (<< 4:14.0.0~)
+Replaces: kdenetwork-filesharing-kde3 (<< 4:14.0.0~), kdenetwork-filesharing-trinity (<< 4:14.0.0~)
+Breaks: kdenetwork-filesharing-kde3 (<< 4:14.0.0~), kdenetwork-filesharing-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Recommends: perl-suid
 Description: network filesharing configuration module for Trinity
@@ -94,8 +94,8 @@
 Package: kdict-trinity
 Section: net
 Architecture: any
-Replaces: kdict-trinity (<< 4:14.0.0~)
-Breaks: kdict-trinity (<< 4:14.0.0~)
+Replaces: kdict-kde3 (<< 4:14.0.0~), kdict-trinity (<< 4:14.0.0~)
+Breaks: kdict-kde3 (<< 4:14.0.0~), kdict-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Suggests: khelpcenter-trinity
 Provides: dict-client-trinity
@@ -111,8 +111,8 @@
 Package: kget-trinity
 Section: net
 Architecture: any
-Replaces: kget-trinity (<< 4:14.0.0~)
-Breaks: kget-trinity (<< 4:14.0.0~)
+Replaces: kget-kde3 (<< 4:14.0.0~), kget-trinity (<< 4:14.0.0~)
+Breaks: kget-kde3 (<< 4:14.0.0~), kget-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Suggests: khelpcenter-trinity
 Description: download manager for Trinity
@@ -129,8 +129,8 @@
 Package: knewsticker-trinity
 Section: tde
 Architecture: any
-Replaces: knewsticker-trinity (<< 4:14.0.0~)
-Breaks: knewsticker-trinity (<< 4:14.0.0~)
+Replaces: knewsticker-kde3 (<< 4:14.0.0~), knewsticker-trinity (<< 4:14.0.0~)
+Breaks: knewsticker-kde3 (<< 4:14.0.0~), knewsticker-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, kicker-trinity
 Suggests: khelpcenter-trinity, knewsticker-scripts-trinity
 Description: news ticker applet for Trinity
@@ -146,8 +146,8 @@
 Package: kopete-trinity
 Section: tde
 Architecture: any
-Replaces: kopete-trinity (<< 4:14.0.0~)
-Breaks: kopete-trinity (<< 4:14.0.0~)
+Replaces: kopete-kde3 (<< 4:14.0.0~), kopete-trinity (<< 4:14.0.0~)
+Breaks: kopete-kde3 (<< 4:14.0.0~), kopete-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Recommends: tqca-tls
 Suggests: tdeartwork-emoticons-trinity, khelpcenter-trinity, imagemagick, gnupg, gnomemeeting
@@ -169,8 +169,8 @@
 Package: kpf-trinity
 Section: net
 Architecture: any
-Replaces: kpf-trinity (<< 4:14.0.0~)
-Breaks: kpf-trinity (<< 4:14.0.0~)
+Replaces: kpf-kde3 (<< 4:14.0.0~), kpf-trinity (<< 4:14.0.0~)
+Breaks: kpf-kde3 (<< 4:14.0.0~), kpf-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Suggests: khelpcenter-trinity
 Description: public fileserver for Trinity
@@ -185,8 +185,8 @@
 Package: kppp-trinity
 Section: net
 Architecture: any
-Replaces: kppp-trinity (<< 4:14.0.0~)
-Breaks: kppp-trinity (<< 4:14.0.0~)
+Replaces: kppp-kde3 (<< 4:14.0.0~), kppp-trinity (<< 4:14.0.0~)
+Breaks: kppp-kde3 (<< 4:14.0.0~), kppp-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, ppp
 Suggests: khelpcenter-trinity
 Description: modem dialer and ppp frontend for Trinity
@@ -204,8 +204,8 @@
 Package: krdc-trinity
 Section: net
 Architecture: any
-Replaces: krdc-trinity (<< 4:14.0.0~)
-Breaks: krdc-trinity (<< 4:14.0.0~)
+Replaces: krdc-kde3 (<< 4:14.0.0~), krdc-trinity (<< 4:14.0.0~)
+Breaks: krdc-kde3 (<< 4:14.0.0~), krdc-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Suggests: khelpcenter-trinity
 Recommends: rdesktop, libjpeg-turbo62
@@ -220,8 +220,8 @@
 Package: krfb-trinity
 Section: net
 Architecture: any
-Replaces: krfb-trinity (<< 4:14.0.0~)
-Breaks: krfb-trinity (<< 4:14.0.0~)
+Replaces: krfb-kde3 (<< 4:14.0.0~), krfb-trinity (<< 4:14.0.0~)
+Breaks: krfb-kde3 (<< 4:14.0.0~), krfb-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Suggests: khelpcenter-trinity
 Recommends: libjpeg-turbo62
@@ -239,30 +239,7 @@
 Package: ksirc-trinity
 Section: net
 Architecture: any
-Replaces: ksirc-trinity (<< 4:14.0.0~)
-Breaks: ksirc-trinity (<< 4:14.0.0~)
+Replaces: ksirc-kde3 (<< 4:14.0.0~), ksirc-trinity (<< 4:14.0.0~)
+Breaks: ksirc-kde3 (<< 4:14.0.0~), ksirc-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, ${perl:Depends}
 Recommends: libio-socket-ssl-perl
-Suggests: khelpcenter-trinity
-Description: IRC client for Trinity
- KSirc is an IRC chat client for TDE. It supports scripting with Perl and has a
- lot of compatibility with mIRC for general use.
- .
- If you want to connect to an IRC server via SSL, you will need to install the
- recommended package libio-socket-ssl-perl.
- .
- This package is part of Trinity, as a component of the TDE network module.
- See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.
-
-Package: ktalkd-trinity
-Section: net
-Priority: extra
-Replaces: ktalkd-trinity (<< 4:14.0.0~)
-Breaks: ktalkd-trinity (<< 4:14.0.0~)
-Architecture: any
-Depends: ${shlibs:Depends}, netbase, update-inetd
-Recommends: talk, ytalk
-Suggests: khelpcenter-trinity
-Provides: talkd-trinity
-Description: talk daemon for Trinity
- KTalkd is an enhanced talk daemon - a program to handle incoming talk

## tdenetwork-trinity 14.2.0~pre168

=== debian/changelog ===
tdenetwork-trinity (4:14.2.0~pre168-0ubuntu26.04.0+10~a) resolute; urgency=low

  * Automated git build for 38fdc707544ba4559776a5672cc99f01e8e27df2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdenetwork

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Jan 2026 16:12:58 +0100

## tdenetwork-trinity 14.2.0~pre171

=== debian/changelog ===
tdenetwork-trinity (4:14.2.0~pre171-0ubuntu24.10.0+10) oracular; urgency=low

  * Automated git build for 451351a40e7cc0b90334d74ec3985200d0db30cc
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdenetwork

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 08 Feb 2026 19:51:33 +0100

## tdenetwork-trinity 14.2.0~pre173

=== kopete/protocols/gadu/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include( ConfigureChecks.cmake )

add_subdirectory( ui )
add_subdirectory( icons )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}/ui
  ${CMAKE_BINARY_DIR}/kopete/libkopete/ui
  ${CMAKE_SOURCE_DIR}/kopete/libkopete
  ${CMAKE_SOURCE_DIR}/kopete/libkopete/ui
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${GADU_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kopete_gadu.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR kopete-desktops
)


##### kopete_gadu (module) ######################

tde_add_kpart( kopete_gadu AUTOMOC
  SOURCES
    gaduaway.cpp gadueditcontact.cpp gaducommands.cpp
    gadueditaccount.cpp gadusession.cpp gaducontact.cpp
    gaduaddcontactpage.cpp gaduprotocol.cpp gaduaccount.cpp
    gadupubdir.cpp gaduregisteraccount.cpp gaducontactlist.cpp
    gadurichtextformat.cpp gadudccserver.cpp gadudcctransaction.cpp
    gadudcc.cpp
  LINK gaduui-static kopete-shared ${GADU_LIBRARIES}
  DEPENDENCIES kopeteui_base_headers
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== debian/changelog ===
tdenetwork-trinity (4:14.2.0~pre173-0debian11.0.0+11) bullseye; urgency=low

  * Automated git build for 080195800af59e01d899a4e1dfd188e176239763
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdenetwork

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Feb 2026 14:12:18 +0100

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,14 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Modestas Vainius <geromanas@mailas.com>, Sarah Hobbs <hobbsee@ubuntu.com>, Sune Vuorela <debian@pusling.com>
 Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, docbook-to-man, doxygen, tdelibs14-trinity-dev, libgnutls-dev | libgadu-dev (>> 1:1.12.0-3), libgcrypt-dev, libgadu-dev, libiw-dev (>> 27+28pre8), libmeanwhile-dev (>= 1.0.2), libslp-dev, libspeex-dev, libsqlite3-dev, libxml2-dev, libxslt1-dev, libxtst-dev, valgrind [!armel !mips !mipsel !riscv64 !loong64], libxxf86vm-dev, libv4l-dev, libssl-dev, libtqca-dev
+Rules-Requires-Root: binary-targets
 Standards-Version: 3.8.4
 
 Package: tdenetwork-trinity
 Section: tde
 Architecture: all
-Replaces: kdenetwork-kde3 (<< 4:14.0.0~), kdenetwork-trinity (<< 4:14.0.0~)
-Breaks: kdenetwork-kde3 (<< 4:14.0.0~), kdenetwork-trinity (<< 4:14.0.0~)
+Replaces: kdenetwork-trinity (<< 4:14.0.0~)
+Breaks: kdenetwork-trinity (<< 4:14.0.0~)
 Depends: dcoprss-trinity (>= ${source:Version}), tdenetwork-tdefile-plugins-trinity (>= ${source:Version}), kdict-trinity (>= ${source:Version}), tdednssd-trinity (>= ${source:Version}), kget-trinity (>= ${source:Version}), knewsticker-trinity (>= ${source:Version}), kopete-trinity (>= ${source:Version}), kpf-trinity (>= ${source:Version}), kppp-trinity (>= ${source:Version}), krdc-trinity (>= ${source:Version}), krfb-trinity (>= ${source:Version}), ksirc-trinity (>= ${source:Version}), kwifimanager-trinity (>= ${source:Version}), librss1-trinity (>= ${source:Version})
 Recommends: tdenetwork-filesharing-trinity (>= ${source:Version}), ktalkd-trinity (>= ${source:Version}), lisa-trinity (>= ${source:Version})
 Suggests: tdenetwork-trinity-doc-html (>= ${source:Version})
@@ -27,8 +28,8 @@
 Package: dcoprss-trinity
 Section: net
 Architecture: any
-Replaces: dcoprss-kde3 (<< 4:14.0.0~), dcoprss-trinity (<< 4:14.0.0~)
-Breaks: dcoprss-kde3 (<< 4:14.0.0~), dcoprss-trinity (<< 4:14.0.0~)
+Replaces: dcoprss-trinity (<< 4:14.0.0~)
+Breaks: dcoprss-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Description: RSS utilities for Trinity
  tdenetwork-dcoprss is a RSS to DCOP bridge, allowing all
@@ -44,8 +45,8 @@
 Package: tdenetwork-trinity-doc-html
 Architecture: all
 Section: doc
-Replaces: kdenetwork-kde3-doc-html (<< 4:14.0.0~), kdenetwork-trinity-doc-html (<< 4:14.0.0~)
-Breaks: kdenetwork-kde3-doc-html (<< 4:14.0.0~), kdenetwork-trinity-doc-html (<< 4:14.0.0~)
+Replaces: kdenetwork-trinity-doc-html (<< 4:14.0.0~)
+Breaks: kdenetwork-trinity-doc-html (<< 4:14.0.0~)
 Suggests: konqueror-trinity | www-browser, tdebase-trinity
 Description: Trinity network documentation in HTML format
  By default the modules provided by TDE only provide their documentation
@@ -64,8 +65,8 @@
 Package: tdenetwork-tdefile-plugins-trinity
 Section: tde
 Architecture: any
-Replaces: kdenetwork-kfile-plugins-kde3 (<< 4:14.0.0~), kdenetwork-kfile-plugins-trinity (<< 4:14.0.0~)
-Breaks: kdenetwork-kfile-plugins-kde3 (<< 4:14.0.0~), kdenetwork-kfile-plugins-trinity (<< 4:14.0.0~)
+Replaces: kdenetwork-kfile-plugins-trinity (<< 4:14.0.0~)
+Breaks: kdenetwork-kfile-plugins-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Enhances: konqueror-trinity
 Description: torrent metainfo plugin for Trinity
@@ -80,8 +81,8 @@
 Package: tdenetwork-filesharing-trinity
 Section: net
 Architecture: any
-Replaces: kdenetwork-filesharing-kde3 (<< 4:14.0.0~), kdenetwork-filesharing-trinity (<< 4:14.0.0~)
-Breaks: kdenetwork-filesharing-kde3 (<< 4:14.0.0~), kdenetwork-filesharing-trinity (<< 4:14.0.0~)
+Replaces: kdenetwork-filesharing-trinity (<< 4:14.0.0~)
+Breaks: kdenetwork-filesharing-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Recommends: perl-suid
 Description: network filesharing configuration module for Trinity
@@ -94,8 +95,8 @@
 Package: kdict-trinity
 Section: net
 Architecture: any
-Replaces: kdict-kde3 (<< 4:14.0.0~), kdict-trinity (<< 4:14.0.0~)
-Breaks: kdict-kde3 (<< 4:14.0.0~), kdict-trinity (<< 4:14.0.0~)
+Replaces: kdict-trinity (<< 4:14.0.0~)
+Breaks: kdict-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Suggests: khelpcenter-trinity
 Provides: dict-client-trinity
@@ -111,8 +112,8 @@
 Package: kget-trinity
 Section: net
 Architecture: any
-Replaces: kget-kde3 (<< 4:14.0.0~), kget-trinity (<< 4:14.0.0~)
-Breaks: kget-kde3 (<< 4:14.0.0~), kget-trinity (<< 4:14.0.0~)
+Replaces: kget-trinity (<< 4:14.0.0~)
+Breaks: kget-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Suggests: khelpcenter-trinity
 Description: download manager for Trinity
@@ -129,8 +130,8 @@
 Package: knewsticker-trinity
 Section: tde
 Architecture: any
-Replaces: knewsticker-kde3 (<< 4:14.0.0~), knewsticker-trinity (<< 4:14.0.0~)
-Breaks: knewsticker-kde3 (<< 4:14.0.0~), knewsticker-trinity (<< 4:14.0.0~)
+Replaces: knewsticker-trinity (<< 4:14.0.0~)
+Breaks: knewsticker-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, kicker-trinity
 Suggests: khelpcenter-trinity, knewsticker-scripts-trinity
 Description: news ticker applet for Trinity
@@ -146,8 +147,8 @@
 Package: kopete-trinity
 Section: tde
 Architecture: any
-Replaces: kopete-kde3 (<< 4:14.0.0~), kopete-trinity (<< 4:14.0.0~)
-Breaks: kopete-kde3 (<< 4:14.0.0~), kopete-trinity (<< 4:14.0.0~)
+Replaces: kopete-trinity (<< 4:14.0.0~)
+Breaks: kopete-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Recommends: tqca-tls
 Suggests: tdeartwork-emoticons-trinity, khelpcenter-trinity, imagemagick, gnupg, gnomemeeting
@@ -169,8 +170,8 @@
 Package: kpf-trinity
 Section: net
 Architecture: any
-Replaces: kpf-kde3 (<< 4:14.0.0~), kpf-trinity (<< 4:14.0.0~)
-Breaks: kpf-kde3 (<< 4:14.0.0~), kpf-trinity (<< 4:14.0.0~)
+Replaces: kpf-trinity (<< 4:14.0.0~)
+Breaks: kpf-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Suggests: khelpcenter-trinity
 Description: public fileserver for Trinity
@@ -185,8 +186,8 @@
 Package: kppp-trinity
 Section: net
 Architecture: any
-Replaces: kppp-kde3 (<< 4:14.0.0~), kppp-trinity (<< 4:14.0.0~)
-Breaks: kppp-kde3 (<< 4:14.0.0~), kppp-trinity (<< 4:14.0.0~)
+Replaces: kppp-trinity (<< 4:14.0.0~)
+Breaks: kppp-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, ppp
 Suggests: khelpcenter-trinity
 Description: modem dialer and ppp frontend for Trinity
@@ -204,8 +205,8 @@
 Package: krdc-trinity
 Section: net
 Architecture: any
-Replaces: krdc-kde3 (<< 4:14.0.0~), krdc-trinity (<< 4:14.0.0~)
-Breaks: krdc-kde3 (<< 4:14.0.0~), krdc-trinity (<< 4:14.0.0~)
+Replaces: krdc-trinity (<< 4:14.0.0~)
+Breaks: krdc-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Suggests: khelpcenter-trinity
 Recommends: rdesktop, libjpeg-turbo62
@@ -220,8 +221,8 @@
 Package: krfb-trinity
 Section: net
 Architecture: any
-Replaces: krfb-kde3 (<< 4:14.0.0~), krfb-trinity (<< 4:14.0.0~)
-Breaks: krfb-kde3 (<< 4:14.0.0~), krfb-trinity (<< 4:14.0.0~)
+Replaces: krfb-trinity (<< 4:14.0.0~)
+Breaks: krfb-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Suggests: khelpcenter-trinity
 Recommends: libjpeg-turbo62
@@ -239,7 +240,29 @@
 Package: ksirc-trinity
 Section: net
 Architecture: any
-Replaces: ksirc-kde3 (<< 4:14.0.0~), ksirc-trinity (<< 4:14.0.0~)
-Breaks: ksirc-kde3 (<< 4:14.0.0~), ksirc-trinity (<< 4:14.0.0~)
+Replaces: ksirc-trinity (<< 4:14.0.0~)
+Breaks: ksirc-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, ${perl:Depends}
 Recommends: libio-socket-ssl-perl
+Suggests: khelpcenter-trinity
+Description: IRC client for Trinity
+ KSirc is an IRC chat client for TDE. It supports scripting with Perl and has a
+ lot of compatibility with mIRC for general use.
+ .
+ If you want to connect to an IRC server via SSL, you will need to install the
+ recommended package libio-socket-ssl-perl.
+ .
+ This package is part of Trinity, as a component of the TDE network module.
+ See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.
+
+Package: ktalkd-trinity
+Section: net
+Priority: extra
+Replaces: ktalkd-trinity (<< 4:14.0.0~)
+Breaks: ktalkd-trinity (<< 4:14.0.0~)
+Architecture: any
+Depends: ${shlibs:Depends}, netbase, update-inetd
+Recommends: talk, ytalk
+Suggests: khelpcenter-trinity
+Provides: talkd-trinity
+Description: talk daemon for Trinity
